Subject: Re: bug#68403: 29.1.90; Adaptive fill in Elisp docstrings

From: Eli Zaretskii <[email-masked]>
Date: Fri, 12 Jan 2024 16:51:03 +0200

> From: Psionic K <[email-masked]>
> Date: Fri, 12 Jan 2024 18:53:43 +0900
> 
> Reproduction on Emacs tag 29.1.90:
> 
> With emacs -Q, open a buffer in emacs-lisp-mode.  Write this input
> (between newlines):
> 
> (defun this-is-good ()
>   "this is a docstring.
> So I'm wrorking on my docstring and i need to be sure that adaptive
> model is lkajs dfklaj sflkja skldfj aklsdj faklsj fjkla slfj alksdfj
> aklsdfj aklsj dfkasfkl aslfjaklsj flaksjdfklasjd flaks dfklasj lkjasl
> 
> M-x auto-fill-mode
> SPC
> 
> The indentation will be two spaces.  It should not be two spaces.
> Evaluate this expression:
> 
> (setq-local adaptive-fill-mode nil)
> 
> Repeat the triggering of auto-filling by typing at the end of a long
> line and pressing SPC.  You will observe no indentation.
> 
> M-q fill-paragraph works as expected and removes erroneous indentation.
> 
> This behavior when auto-filling docstrings in Elisp mode began within
> about the last month.

I see the same behavior in Emacs 29.1 and in Emacs 28.2, so I wonder
why you say this started only about a month ago.  Do you indeed see
that auto-fill-mode in a .el file does NOT produce two-space
indentation, under the default value of adaptive-fill-mode, when you
use Emacs 29.1 or older?

If this is not what you mean, can you explain what I missed in your
report?